# Contributing

## How to Contribute

#### Code of Conduct

This repository has adopted the Contributor Covenant as it's
Code of Conduct. It is expected that participants adhere to it.

#### Proposing a Change

If you are unsure about whether or not a change is desired,
you can create an issue. This is useful because it creates
the possibility for a discussion that's visible to everyone.

When fixing a bug it is fine to submit a pull request right away.

#### Sending a Pull Request

Steps to be performed to submit a pull request:

1. Fork the repository.
2. Clone the repository.
3. Checkout `develop` branch.
4. Develop the package.
5. Test the package with the test runner (`Window > Generals > Test Runner`).
6. Commit with a message based
   on [Angular Commit Message Conventions](https://gist.github.com/stephenparish/9941e89d80e2bc58a153) as follows:

    - `fix:` fix a bug
    - `feat:` new feature
    - `docs:` changes only in documentation
    - `style:` changes only in formatting, white-space, etc
    - `refactor:` changes only in code structure (extract method, rename variable, move method, etc)
    - `perf:` changes only in code performance
    - `test:` add or update tests
    - `chore:` changes to the build process or auxiliary tools and libraries such as documentation generation

7. Create a pull request on GitHub. Fill out the description, link any related issues and submit your pull request.

#### License

By contributing to this repository, you agree that your contributions will be licensed under its MIT license.
